__gnu_cxx::annotate_base Struct Reference
Inheritance diagram for __gnu_cxx::annotate_base:
[legend]

## Public Member Functions

void | check (size_t label)
void | check_allocated (void *p, size_t size)
void | check_constructed (void *p)
void | check_constructed (size_t label)
void | erase (void *p, size_t size)
void | erase_construct (void *p)
void | insert (void *p, size_t size)
void | insert_construct (void *p)

## Static Public Member Functions

static void | check ()
static size_t | get_label ()
static void | set_label (size_t l)

## Friends

std::ostream & | operator<< (std::ostream &, const annotate_base &)

## Detailed Description

Base class for checking address and label information about allocations. Create a std::map between the allocated address (void*) and a datum for annotations, which are a pair of numbers corresponding to label and allocated size.

Definition at line 88 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h